using System;

class Program
    {
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split(' ');
            if((input[0]+input[1]+input[2]).Length <= 19)
            {
                ulong A = Convert.ToUInt64(input[0] + input[1] + input[2]);
                ulong B = Convert.ToUInt64(input[0] + input[2] + input[1]);
                ulong C = Convert.ToUInt64(input[1] + input[0] + input[2]);
                ulong D = Convert.ToUInt64(input[1] + input[2] + input[0]);
                ulong E = Convert.ToUInt64(input[2] + input[1] + input[0]);
                ulong F = Convert.ToUInt64(input[2] + input[0] + input[1]);
                Console.WriteLine(Math.Max(Math.Max(Math.Max(A, B), Math.Max(C, D)), Math.Max(E, F)));
            }
        }
    }